This patch for sthttpd and thttpd "improves" the thttpd directory index by
formatting date and time in a big endian format similar to ISO 8601.

The only difference is that actual ISO 8601 has a T between date and time.
I believe this format might be more readable, given that the timestamps appear
aligned, which might make it easier to see whether a date "sticks out". Not
entirely sure yet.

--- libhttpd.c.orig
+++ libhttpd.c	2013-03-24 04:01:01 +0100
@@ -2698,13 +2698,11 @@
     int i, r;
     struct stat sb;
     struct stat lsb;
-    char modestr[20];
+    char modestr[20], timestr[20];
     char* linkprefix;
     char link[MAXPATHLEN+1];
     int linklen;
     char* fileclass;
-    time_t now;
-    char* timestr;
     ClientData client_data;
 
     dirp = opendir( hc->expnfilename );
@@ -2779,7 +2777,7 @@
 <BODY BGCOLOR=\"#99cc99\" TEXT=\"#000000\" LINK=\"#2020ff\" VLINK=\"#4040cc\">\n\
 <H2>Index of %.80s</H2>\n\
 <PRE>\n\
-mode  links  bytes  last-changed  name\n\
+mode  links    bytes  last-changed      name\n\
 <HR>",
 		hc->encodedurl, hc->encodedurl );
 
@@ -2888,32 +2886,7 @@
 		*/
 
 		/* Get time string. */
-		now = time( (time_t*) 0 );
-		timestr = ctime( &lsb.st_mtime );
-		timestr[ 0] = timestr[ 4];
-		timestr[ 1] = timestr[ 5];
-		timestr[ 2] = timestr[ 6];
-		timestr[ 3] = ' ';
-		timestr[ 4] = timestr[ 8];
-		timestr[ 5] = timestr[ 9];
-		timestr[ 6] = ' ';
-		if ( now - lsb.st_mtime > 60*60*24*182 )        /* 1/2 year */
-		    {
-		    timestr[ 7] = ' ';
-		    timestr[ 8] = timestr[20];
-		    timestr[ 9] = timestr[21];
-		    timestr[10] = timestr[22];
-		    timestr[11] = timestr[23];
-		    }
-		else
-		    {
-		    timestr[ 7] = timestr[11];
-		    timestr[ 8] = timestr[12];
-		    timestr[ 9] = ':';
-		    timestr[10] = timestr[14];
-		    timestr[11] = timestr[15];
-		    }
-		timestr[12] = '\0';
+		(void) strftime( timestr, sizeof(timestr), "%F %R", localtime(&lsb.st_mtime) );
 
 		/* The ls -F file class. */
 		switch ( sb.st_mode & S_IFMT )
